]> gitweb.morketsmerke.org Git - immudex.git/commitdiff
Zmiana addonów nushell oraz ncspot. Teraz bedą one budowane podczas instalacji. Dodan...
authorxf0r3m <jakubstasinski@protonmail.com>
Fri, 29 Dec 2023 21:45:55 +0000 (22:45 +0100)
committerxf0r3m <jakubstasinski@protonmail.com>
Fri, 29 Dec 2023 21:45:55 +0000 (22:45 +0100)
addons/librewolf [new file with mode: 0644]
addons/ncspot
addons/nushell

diff --git a/addons/librewolf b/addons/librewolf
new file mode 100644 (file)
index 0000000..f3206b3
--- /dev/null
@@ -0,0 +1,68 @@
+#!/bin/bash
+
+set -e 
+
+if [ "$(uname -m)" != "x86_64" ]; then
+  echo "64-bit OS is required for sucessfull LibreWolf build. You can use";
+  echo "immudex-sdk for build librewolf for 32-bit system. For 32-bit (--i386)";
+  echo "result of this script, you get binary archive with LibreWolf and"
+  echo "the .desktop file, for browser appearance in menu.";
+  exit 1;
+fi 
+
+wget https://codeberg.org/librewolf/source/tags.rss
+ver=$(grep 'title' tags.rss | sed -n '2p' | sed -e 's,<title>,,g' -e 's,</title>,,g' -e 's,^[[:space:]]*,,g')
+sourceURL="https://gitlab.com/api/v4/projects/32320088/packages/generic/librewolf-source/${ver}/librewolf-${ver}.source.tar.gz";
+wget $sourceURL
+tar -xf $(basename $sourceURL)
+cd librewolf-${ver} 
+curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh
+sudo apt install pkg-config build-essential python3-pip python3-distutils -y
+export PATH=${PATH}:${HOME}/.cargo/bin;
+if [ "$1" ] && [ "$1" = "--i386" ]; then
+       rustup target add i686-unknown-linux-gnu
+       sed -i '22s/.*/ac_add_options --target=i686-linux-gnu/' mozconfig
+fi
+./mach --no-interactive bootstrap --application-choice=browser
+./lw/setup-wasi-linux.sh
+./mach build
+./mach package
+if [ "$1" ] && [ "$1" = "--i386" ]; then
+       cp obj-i686-pc-linux-gnu/dist/librewolf-${ver}.en-US.linux-i686.tar.bz2 $HOME;
+else
+       tar -xf obj-x86_64-pc-linux-gnu/dist/librewolf-${ver}.en-US.linux-$(uname -m).tar.bz2 -C /usr/lib
+fi
+
+if [ $? -eq 0 ]; then
+        cd ..;
+        rm -rf librewolf-${ver};
+        rm $(basename $sourceURL);
+        rm tags.rss;
+       if [ "$1" ] && [ "$1" = "--i386" ]; then
+               desktopFileTarget="${HOME}/librewolf.desktop";
+    echo;
+    echo "You need to copy ${HOME}/librewolf.desktop file to the";
+    echo " /usr/share/applications.";
+       else
+               desktopFileTarget='/usr/share/applications/librewolf.desktop';
+       fi
+       cat >> $desktopFileTarget << EOF
+[Desktop Entry]
+Name=LibreWolf
+Name[pl]=LibreWolf
+Comment=Secure the World Wide Web Browsing
+Comment[pl]=Bezpieczene przeglądanie stron WWW
+GenericName=Secure Web Browser
+X-GNOME-FullName=LibreWolf Web Browser
+X-GNOME-FullName[pl]=Przeglądarka WWW LibreWolf
+Exec=/usr/lib/librewolf/librewolf %u
+Terminal=false
+X-MultipleArgs=false
+Type=Application
+Icon=/usr/lib/librewolf/browser/chrome/icons/default/default128.png
+Categories=Network;WebBrowser;
+MimeType=text/html;text/xml;application/xhtml+xml;application/xml;application/vnd.mozilla.xul+xml;application/rss+xml;application/rdf+xml;image/gif;image/jpeg;image/png;x-scheme-handler/http;x-scheme-handler/https;
+StartupWMClass=Firefox-esr
+StartupNotify=true
+EOF
+fi
index 26e4779dd3a65c5393b90870c44c5d58c4624846..a09d14ff1dc3a54855d489e6b2aa16b57d0e8b7d 100644 (file)
@@ -1,30 +1,17 @@
 #!/bin/bash
-
-if [ "$1" ]; then
-  case $1 in
-    "install") echo "Installation $(basename $0) addon...";
-                           VERSION="1.0.0";
-                           BETA=1;
-                if [ $BETA -eq 0 ]; then
-                  TARBALL_URL="https://sourceforge.net/projects/immudex/files/immudex/software/ncspot/beta";
-                else
-                  TARBALL_URL="https://sourceforge.net/projects/immudex/files/immudex/software/ncspot";
-                fi
-                ARCH="$(uname -m)";
-                wget ${TARBALL_URL}/ncspot-bin-${VERSION}-${ARCH}.tar.gz/download -O ncspot-bin-${VERSION}-${ARCH}.tar.gz;
-                tar -xzf ncspot-bin-${VERSION}-${ARCH}.tar.gz -C /usr/local/bin;
-                rm ncspot-bin-${VERSION}-${ARCH}.tar.gz;
-                chmod +x /usr/local/bin/ncspot;
-                if [ -x /usr/local/bin/ncspot ]; then
-                  echo "Installation $(basename $0) addon...[ OK ]";
-                fi;;
-    "remove") echo "Removing $(basename $0) addon...";
-                rm /usr/local/bin/ncspot;
-                if [ ! -f /usr/local/bin/ncspot ]; then
-                  echo "Removing $(basename $0) addon...[ OK ]";
-                fi;;
-  esac
-else
-  echo "Internal error: action must be given.";
-  exit 1;
+wget https://github.com/hrkfdn/ncspot/releases.atom
+ver=$(grep 'title' releases.atom | sed -n '2p' | sed -e 's,<title>,,g' -e 's,</title>,,g' -e 's,^[[:space:]]*,,g')
+sourceURL="https://github.com/hrkfdn/ncspot/archive/refs/tags/v${ver}.tar.gz";
+wget $sourceURL
+tar -xf $(basename $sourceURL)
+cd ncspot-${ver}
+curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh
+sudo apt install libdbus-1-dev libncursesw5-dev libpulse-dev libssl-dev libxcb1-dev libxcb-render0-dev libxcb-shape0-dev libxcb-xfixes0-dev pkg-config build-essential -y
+$HOME/.cargo/bin/cargo build --release
+mv target/release/ncspot /usr/local/bin/
+if [ $? -eq 0 ]; then
+       cd ..;
+       rm -rf ncspot-${ver};
+       rm $(basename $sourceURL);
+       rm releases.atom;
 fi
index da121ea40deb2f0beb985105e6d8c1523e19ebbc..23c6b0c87fcc005b6efff3a2b6c6750b60b7b74a 100644 (file)
@@ -1,44 +1,17 @@
 #!/bin/bash
-
-if [ "$1" ]; then
-  case $1 in
-    "install") echo "Installation $(basename $0) addon...";
-                VERSION="0.88.1";
-                BETA="0";
-                if [ $BETA -eq 0 ]; then
-                  TARBALL_URL="https://sourceforge.net/projects/immudex/files/immudex/software/nushell/beta";
-                else
-                  TARBALL_URL="https://sourceforge.net/projects/immudex/files/immudex/software/nushell";
-                fi
-                ARCH="$(uname -m)";
-                mkdir -p /usr/share/fonts/truetype/meslo;
-                wget https://github.com/ryanoasis/nerd-fonts/releases/download/v3.0.2/Meslo.tar.xz;
-                tar -xJf Meslo.tar.xz -C /usr/share/fonts/truetype/meslo;
-                rm Meslo.tar.xz;
-                wget ${TARBALL_URL}/nu-bin-${VERSION}-${ARCH}.tar.gz;
-                tar -xzf nu-bin-${VERSION}-${ARCH}.tar.gz -C /usr/local/bin;
-                rm nu-bin-${VERSION}-${ARCH}.tar.gz;
-                chmod +x /usr/local/bin/nu;
-                wget https://ohmyposh.dev/install.sh -O /tmp/oh-my-posh-install.sh;
-                bash /tmp/oh-my-posh-install.sh;
-                rm /tmp/oh-my-posh-install.sh;
-                chmod +x /usr/local/bin/oh-my-posh;
-                mkdir /usr/share/oh-my-posh;
-                mv /root/.cache/oh-my-posh/themes /usr/share/oh-my-posh;
-                wget https://github.com/xf0r3m/immudex-testing/raw/main/files/immudex-nu.omp.json -O /usr/share/oh-my-posh/immudex-nu.omp.json;
-                if [ -x /usr/local/bin/nu ]; then
-                  echo "Installation $(basename $0) addon...[ OK ]";
-                fi;;
-    "remove") echo "Removing $(basename $0) addon...";
-                rm -rf /usr/share/fonts/truetype/meslo;
-                rm /usr/local/bin/nu;
-                rm /usr/local/bin/oh-my-posh;
-                rm -rf /usr/share/oh-my-posh;
-                if [ ! -x /usr/local/bin/nu ]; then
-                  echo "Removing $(basename $0) addon...[ OK ]";
-                fi;;
-  esac
-else
-  echo "Internal error: action must be given.";
-  exit 1;
+wget https://github.com/nushell/nushell/releases.atom
+ver=$(grep 'title' releases.atom | sed -n '2p' | sed -e 's,<title>,,g' -e 's,</title>,,g' -e 's,^[[:space:]]*,,g')
+sourceURL="https://github.com/nushell/nushell/archive/refs/tags/${ver}.tar.gz";
+wget $sourceURL
+tar -xf $(basename $sourceURL)
+cd nushell-${ver} 
+curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh
+sudo apt install libssl-dev pkg-config build-essential -y
+$HOME/.cargo/bin/cargo build --release
+mv target/release/nu /usr/local/bin/
+if [ $? -eq 0 ]; then
+        cd ..;
+        rm -rf nushell-${ver};
+        rm $(basename $sourceURL);
+        rm releases.atom;
 fi